Download it now!
Bug 100751 - FILEOPEN: Arrows in docx files sometimes rendered in reverse direction
Summary: FILEOPEN: Arrows in docx files sometimes rendered in reverse direction
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: All All
: medium normal
Assignee: Szabolcs Toth
URL:
Whiteboard: interoperability target:7.0.0 target:...
Keywords: filter:docx
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2016-07-04 09:45 UTC by Shimi Chen
Modified: 2020-04-02 07:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of the bug, an arrow should display from 5 to 1 in the graph, not 1 to 5 (26.96 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-07-04 09:45 UTC, Shimi Chen
Details
PDF rendering of the example file from office 365 (100.63 KB, application/pdf)
2016-07-04 09:46 UTC, Shimi Chen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shimi Chen 2016-07-04 09:45:46 UTC
Created attachment 126054 [details]
Example of the bug, an arrow should display from 5 to 1 in the graph, not 1 to 5

In the attached example file, the arrow between 1 and 5 should be from 5 to 1, while LibreOffice renders it as 1 to 5 (reverse direction). This does not happen for the other arrows. Attached is also a correctly rendered PDF output of the file from MS Office 365.
Comment 1 Shimi Chen 2016-07-04 09:46:30 UTC
Created attachment 126055 [details]
PDF rendering of the example file from office 365
Comment 2 Aron Budea 2016-07-05 04:11:15 UTC
Reproduced with as early as LO 3.6.0.4 / Windows 7.

There are further differences in the graph:
-the positions of numbers are all a bit off,
-arrows between 2 and 7 are in reverse direction, too,
-there's a line running from top left to bottom right corner that shouldn't be there.

Another clear difference in the document is the footnote separator being on the opposite side.
Comment 3 Xisco Faulí 2017-11-08 00:03:24 UTC
Still reproducible in

Version: 6.0.0.0.alpha1+
Build ID: 38a8157d9447134913d88c6c373d99a7aa472857
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 4 Timur 2018-08-28 08:15:42 UTC Comment hidden (obsolete)
Comment 5 Timur 2020-03-12 13:38:23 UTC
Another wrong arrow direction example is https://bugs.documentfoundation.org/attachment.cgi?id=139543 from bug 45479. 
In attachment 158652 [details] compared MSO and LO. 
It's 2007 DOCX but same if resaved in MSO.
Comment 6 Commit Notification 2020-03-31 08:10:01 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cb441c4d0adf698e6af9073c6c3285a66b76871e

tdf#100751 DOCX VML shape import: fix arrow direction

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-03-31 15:22:53 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 169a10f0e4680814145b668c6320be04038d7a89
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Szabolcs, thanks for fixing this issue!
Comment 8 Commit Notification 2020-04-01 08:51:11 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/14f11a2a26163123502ac9ea915416871d180cc0

tdf#100751 DOCX VML shape import: fix arrow direction

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.